<?php

namespace App\Http\Controllers;

use App\Models\Stock;
use Illuminate\Http\Request;

class StockController extends Controller
{
    /**
     * Liste global des stocks avec fillre par magasin et produit.
     */
    public function __invoke(Request $request)
    {
        $stocks = Stock::with(['magasin', 'produit'])->latest()->paginate(10);
        return view('stocks.index', compact('stocks'));
    }
}
